Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for File API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.appconn.file
Class FileTextMessageImpl

    java.lang.Object
      com.stc.connector.appconn.file.FileTextMessageImpl

All Implemented Interfaces:
  FileTextMessage, com.stc.connector.persistence.bpel.PersistableData

    public class FileTextMessageImpl

extends java.lang.Object
implements FileTextMessage, com.stc.connector.persistence.bpel.PersistableData

FileTextMessage passed to Java collab as receive parameter of execute business rules.

Constructor Summary
`FileTextMessageImpl()`

Method Summary
`byte[]` | `getByteArray()` Return message byte array
`java.lang.String` | `getEncoding()` retruns a valid encoding name.
`java.lang.String` | `getText()` Return text message contents
`void` | `persist(com.stc.connector.persistence.bpel.DataOutput dos)` Persists (serialize) this message.
`void` | `restore(com.stc.connector.persistence.bpel.DataInput dis)` Restore (deserialize) this message.
`void` | `setByteArray(byte[] bytes)` Set byte array message contents
`void` | `setEncoding(java.lang.String encoding)` Set valid encoding name.
`void` | `setText(java.lang.String string)` Set text message contents

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileTextMessageImpl

    public FileTextMessageImpl()

Method Detail

### setText

    public void setText(java.lang.String string)

  Set text message contents

  Specified by:
    `setText` in interface `FileTextMessage`
  Parameters:
    `string` - - message text

### setEncoding

    public void setEncoding(java.lang.String encoding)

  Set valid encoding name. For all valid encodings, please refer to http://www.ingrid.org/java/i18n/encoding/table.html

  Specified by:
    `setEncoding` in interface `FileTextMessage`
  Parameters:
    `encoding` - encoding name

### getEncoding

    public java.lang.String getEncoding()

  retruns a valid encoding name.

  Specified by:
    `getEncoding` in interface `FileTextMessage`
  Returns:
    string valid encoding name

### getText

    public java.lang.String getText()
                             throws java.io.UnsupportedEncodingException

  Return text message contents

  Specified by:
    `getText` in interface `FileTextMessage`
  Returns:
    text message contents
  Throws:
    `java.io.UnsupportedEncodingException`

### getByteArray

    public byte[] getByteArray()
                        throws java.io.UnsupportedEncodingException

  Return message byte array

  Specified by:
    `getByteArray` in interface `FileTextMessage`
  Returns:
    byte array message
  Throws:
    `java.io.UnsupportedEncodingException`

### setByteArray

    public void setByteArray(byte[] bytes)

  Set byte array message contents

  Specified by:
    `setByteArray` in interface `FileTextMessage`
  Parameters:
    `bytes` - - byte array message

### persist

    public void persist(com.stc.connector.persistence.bpel.DataOutput dos)
                 throws java.lang.Exception

  Persists (serialize) this message.

  Specified by:
    `persist` in interface `com.stc.connector.persistence.bpel.PersistableData`
  Parameters:
    `dos` - The DataOutputStream to which the Java Bean message is persisted.
  Throws:
    `java.lang.Exception` - upon error.

### restore

    public void restore(com.stc.connector.persistence.bpel.DataInput dis)
                 throws java.lang.Exception

  Restore (deserialize) this message.

  Specified by:
    `restore` in interface `com.stc.connector.persistence.bpel.PersistableData`
  Parameters:
    `dis` - The DataInput from which the Java Bean message is restored.
  Throws:
    `java.lang.Exception` - upon error.

Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for File API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.